using System;

using HISClinic.DataModel;
using HISClinic.DataServices;

namespace HISClinic.BLL
{
	/// <summary>
	/// Medicine 的摘要说明。
	/// </summary>
	public class Medicine
	{
		public Medicine()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}

		/// <summary>
		/// 获取药品信息
		/// </summary>
		/// <returns></returns>
		public MedicinesEx GetMedicine()
		{
			MedicinesEx medicinesEx=(new MedicineMapper()).GetMedicine();
			return medicinesEx.t_Medicine.Rows.Count>0?medicinesEx:null;
		}

		public class CommonUsage
		{
			public CommonUsage()
			{

			}

			/// <summary>
			/// 获取药品用法
			/// </summary>
			/// <returns></returns>
			public CommonUsagesEx GetCommonUsage()
			{
				CommonUsagesEx commonUsagesEx=(new MedicineMapper.CommonUsage()).GetCommonUsage();
				return commonUsagesEx.t_CommonUsage.Rows.Count>0?commonUsagesEx:null;
			}
		}
	}
}
